Bug 477117 - PAM configuration to ensure that it can work correctly in chroot - before F8 support closed please
PAM configuration to ensure that it can work correctly in chroot - before F8 ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: proftpd (Show other bugs)
8
i686 Linux
low Severity urgent
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-19 03:18 EST by David
Modified: 2008-12-23 16:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 16:33:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2008-12-19 03:18:24 EST
Description of problem:

Seems like PAM rules are not available:

Dec 19 18:15:15 server proftpd: pam_env(proftpd:setcred): Unable to open config file: /etc/security/pam_env.conf: No such file or directory
Dec 19 18:15:15 server proftpd: PAM audit_log_acct_message() failed: Operation not permitted

Yet file is available:

# ls -la /etc/security/pam_env.conf
-rw-r--r-- 1 root root 2980 2008-02-20 08:02 /etc/security/pam_env.conf

Could be this issue:

http://forums.proftpd.org/smf/index.php?topic=3558.0

ProFTPd indeed uses DefaultRoot directive which chroots system calls:

/etc/proftpd.conf:
DefaultRoot     ~               psacln

This could be confusing PAM. I would advise looking into PAM configuration to ensure that it can work correctly in chroot.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tomas Mraz 2008-12-19 03:56:25 EST
This must be changed/fixed in the proftpd package itself.
Comment 2 David 2008-12-23 16:33:57 EST
Thanks I will report it there.

Note You need to log in before you can comment on or make changes to this bug.